## org.eclipse.datatools.sqltools.result.internal.ui.viewer
Class ResultSetViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.jface.viewers.StructuredViewer
                  org.eclipse.jface.viewers.ColumnViewer
                      org.eclipse.jface.viewers.AbstractTableViewer
                          org.eclipse.jface.viewers.TableViewer
                              org.eclipse.datatools.sqltools.result.internal.ui.viewer.ResultSetViewer

All Implemented Interfaces:
  org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.IPostSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

Direct Known Subclasses:
  ExternalResultSetViewer

    public class ResultSetViewer

extends org.eclipse.jface.viewers.TableViewer

This is a configurable viewer used to display result set object.

Author:
  Dafan Yang

Field Summary
`static int` `LONG_BOUNDARY`

Constructor Summary
`ResultSetViewer(org.eclipse.swt.widgets.Composite parent, int style, IResultInstance instance, IResultSetObject result, boolean showRowCount, ResultsViewControl resultsViewControl)` Creates a result set viewer.

Method Summary
`org.eclipse.jface.action.MenuManager` `getMenuManager()` Gets the menuManager for this viewers control

Methods inherited from class org.eclipse.jface.viewers.TableViewer
`getControl, getTable, refresh, refresh, remove, setSelection`

Methods inherited from class org.eclipse.jface.viewers.AbstractTableViewer
`add, add, clear, getElementAt, getLabelProvider, insert, remove, replace, reveal, setItemCount`

Methods inherited from class org.eclipse.jface.viewers.ColumnViewer
`cancelEditing, editElement, getCell, getCellEditors, getCellModifier, getColumnProperties, getColumnViewerEditor, getLabelProvider, isBusy, isCellEditorActive, refresh, refresh, setCellEditors, setCellModifier, setColumnProperties, setColumnViewerEditor, setLabelProvider, update`

Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, getComparator, getComparer, getFilters, getSelection, getSorter, refresh, refresh, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setContentProvider, setFilters, setInput, setSorter, setUseHashlookup, testFindItem, testFindItems, update`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Field Detail

### LONG_BOUNDARY

    public static final int LONG_BOUNDARY

See Also:
  Constant Field Values

Constructor Detail

### ResultSetViewer

    public ResultSetViewer(org.eclipse.swt.widgets.Composite parent,
                           int style,
                           IResultInstance instance,
                           IResultSetObject result,
                           boolean showRowCount,
                           ResultsViewControl resultsViewControl)

  Creates a result set viewer.

  Parameters:
    `parent` - the parent
    `style` - the style
    `instance` - the result instance
    `result` - the result set object
    `showRowCount` - the show row count option

Method Detail

### getMenuManager

    public org.eclipse.jface.action.MenuManager getMenuManager()

  Gets the menuManager for this viewers control

  Returns:
    the menuManger